<%@ include file="init.jsp" %> 

<!-- Es crea el conjunt d'accions d'Spring per enviar l'informaci al Controlador -->
<portlet:actionURL var="addAppURL">
<portlet:param name="action" value="add"></portlet:param>
</portlet:actionURL>
<portlet:actionURL var="deleteAppURL">
<portlet:param name="action" value="delete"></portlet:param>
</portlet:actionURL>
<portlet:actionURL var="consultAppURL">
<portlet:param name="action" value="consult"></portlet:param>
</portlet:actionURL>
<portlet:actionURL var="updateAppURL">
<portlet:param name="action" value="update"></portlet:param>
</portlet:actionURL>


<!-- script per carregar l'aparena visual de la taula -->
<script>
var oTable;
var asInitVals = new Array();

$(document).ready(function() {
	$('#tablaFormat').attr("class","display");
	oTable = $('#tablaFormat').dataTable( {
		"bProcessing": true, //visualitzaci d'un indicador de quan la taula s'est processant si hi ha moltes dades
		"aLengthMenu": [[10, 25, 50,100, -1], [10, 25, 50,100, "Totes"]],
        iDisplayLength: 25,
        "bStateSave": true,
		"oLanguage": {
			"oPaginate": {
            	"sFirst": "Primera",
                "sLast": "ltima",
                "sNext": "Segent",
                "sPrevious": "Anterior",
            },
              //"sUrl": "http://www.sprymedia.co.uk/dataTables/lang.txt"
              "sEmptyTable": "No hi ha dades disponibles a la taula",
              "sInfoEmpty": "No hi han entrades a la taula per veure",
              "sSearch": "Cercar:",
              "sLengthMenu": "Mostrant _MENU_ entrades",
              "sInfo": "Veient les entrades (de la _START_ a la _END_) d'un total de _TOTAL_ entrades",
              "sInfoFiltered": "(filtrat sobre _MAX_ entrades)",
              "sLoadingRecords": "Si us plau esperi - carregant...",
              "sProcessing": "La taula esta actualment ocupada",
              "sZeroRecords": "No s'ha trobat cap entrada amb aquesta cerca" 
		},
		"pagingType": "full_numbers",
		"bAutoWidth": true //Activar o desactivar el clcul automtic amplada de columna.
	} );
	
	$("tfoot input").keyup( function () {
		/* Filter on the column (the index) of this element */
		oTable.fnFilter( this.value, $("tfoot input").index(this) );
	} );
	
	/*
	 * Support functions to provide a little bit of 'user friendlyness' to the textboxes in 
	 * the footer
	 */
	$("tfoot input").each( function (i) {
		asInitVals[i] = this.value;
	} );
	
	$("tfoot input").focus( function () {
		if ( this.className == "search_init" )
		{
			this.className = "";
			this.value = "";
		}
	} );
	
	$("tfoot input").blur( function (i) {
		if ( this.value == "" )
		{
			this.className = "search_init";
			this.value = asInitVals[$("tfoot input").index(this)];
		}
	} );
} );
</script>


<!-- es creen els botons afegir app i generar pdf -->
<h2></h2>
<button id="abrir" style="Position:Absolute; right:30%;">Afegir Aplicaci</button>

<!-- es dona el estil a tots els botons -->
<script>
$( "button" ).button();
</script>

<!-- taula amb la llista de aplicacions -->
<h3>Gesti Aplicacions</h3>
<%{%>
<c:if  test="${!empty appList}">
	<!-- class="row-border hover order-column" -->
	<div id="customers">
    <table id="tablaFormat">
        <thead>
        <tr>
			<th>Id_app</th>
			<th>Nom</th>
			<th>Descripci</th>
			<th>Url</th>
			<th>Nom Grup</th>
			<th>Observacions</th>
			<th>Actiu</th>
			<th>#</th>
			<th>#</th>
		</tr>
        </thead>
        <tbody>
        <c:forEach items="${appList}" var="app">
			<tr>
				<td>${app.id_app}</td>
				<td>${app.nom}</td>
				<td>${app.descripcio}</td>
				<td>${app.url}</td>
				<td>${app.mgroup.name}</td>
				<td>${app.observacions}</td>
				<td>${app.actiu}</td>
				<td class="center"><a href="${deleteAppURL}&appId=${app.id_app}" onclick="return confirmar('Esta segur que vol eliminar el registre?')"><liferay-ui:icon image="delete" message="eliminar registre"/></a></td>
				<td class="center"><a href="${consultAppURL}&appId=${app.id_app}"><liferay-ui:icon image="edit" message="editar registre"/></a></td>
			</tr>
		</c:forEach>
        </tbody>
        <tfoot>
		<tr>
			<th><input type="text" style="width : 120px" name="buscar_id-app" value="Buscar id_app" class="search_init" /></th>
			<th><input type="text" style="width : 120px" name="buscar_nom" value="Buscar nom" class="search_init" /></th>
			<th><input type="text" style="width : 120px" name="buscar_descripcio" value="Buscar descripcio" class="search_init" /></th>
			<th><input type="text" style="width : 180px" name="buscar_url" value="Buscar url" class="search_init" /></th>
			<th><input type="text" style="width : 120px" name="buscar_usergroupid" value="Buscar usergroupid" class="search_init" /></th>
			<th><input type="text" style="width : 120px" name="buscar_observacions" value="Buscar observacions" class="search_init" /></th>
			<th><input type="text" style="width : 120px" name="buscar_actiu" value="Buscar actiu" class="search_init" /></th>
			<th></th>
			<th></th>
		</tr>
		</tfoot>
    </table>
    </div>
</c:if>
<% } %>

<!-- funci que et treu el missatge de confirmaci al eliminar un registre -->
<script>
function confirmar ( mensaje ) {
return confirm( mensaje );
}
</script>
<script>
function Abrir_ventana (pagina) {
var opciones="toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=yes, width=508, height=365, top=85, left=140";
window.open(pagina,"",opciones);
}
</script>
<!--------------------------------------------------------------------------->

</body>
</html>

<!-- finestra emergent amb el formulari d'agregar usuari i les corresponents validacions amb html5-->
<script>
	$(function() {
		$( "#dialog" ).dialog({
			width:600,
			height:400,
			open: function() {
	            // Al obrir, s'amaga el bot de submit original per poder fer les validacions amb el boto de de la finestra emergent
	            $( this ).find( "[type=submit]" ).hide();
	        },
		autoOpen: false,
		modal: true,
	    buttons: [
	              {
                	text: "Afegir",
                	click: $.noop,//al clicar no va res
                	type: "submit",
                	form: "Afegirapp" // fem l'asociaci amb el submit del formulari
            	  },
	              {
	                text: "Tancar",
	                click: function() {
	                      $( this ).dialog( "close" );
	                }
	              }
	          	]
		});
		$("#abrir")
		.button()
		.click(function () {
		$("#dialog").dialog("open");
		});
	});
</script>

<div id="dialog" title="Afegir App">
<form:form name="app" id="Afegirapp" modelAttribute="app"  method="post" enctype="multipart/form-data" action="${addAppURL}">
	<div style="Position:Absolute; left:3%;">
		
		<form:input type="hidden"  path="id_app" required="required" maxlength="50"/>
	
		<form:label path="nom"><spring:message code="label.nom"/></form:label>
		<form:input path="nom" required="required"  maxlength="50"/>*
	
		<form:label path="descripcio"><spring:message code="label.descripcio"/></form:label>
		<form:input path="descripcio" maxlength="50"/>
		
		<form:label path="url"><spring:message code="label.url"/></form:label>
		<form:input path="url"  required="required"  maxlength="50"/>*
	
		<form:label path="icon"><spring:message code="label.icon"/></form:label>
		<form:input path="icon" type="file"  />
		
		
	</div>
	<div style="Position:Absolute; left:50%;">
		
		<form:label path="usergroupid"><spring:message code="label.usergroupid"/></form:label>
		<form:select path="usergroupid">
			<form:option value="NONE" label="--- Select ---" />
			<form:options items="${groupList}" required="required"/>
		</form:select>*
		
		<form:label path="observacions"><spring:message code="label.observacions"/></form:label>
		<form:input path="observacions"  maxlength="100"/>
    
    
    	<form:label path="actiu"><spring:message code="label.actiu"/></form:label>
		<form:checkbox path="actiu" checked="true"/>
	</div>
	<div style="Position:Absolute; left:67%;">
		
	
	<button type="submit">Afegir</button>
	<script>
			$( "button" ).button();
	</script>
	</div>
</form:form>
</div>
<!------------------------------ fi finestra emergent ---------------------->
<!-- finestra emergent amb el formulari d'editar aplicacio -->
<div id="edit" title="Editar App">
<%

App consultapp = (App) renderRequest.getAttribute("consultApp");
String edit = "";
edit = (String) renderRequest.getAttribute("edit");

 
 if (edit=="edit"){
	
%>
	<form:form id="Editarapp" name="consultapp" modelAttribute="app" enctype="multipart/form-data" method="post" action="${updateAppURL}">
		<div style="Position:Absolute; left:3%;">
			
			<form:input type="hidden" value="<%=consultapp.getId_app() %>" path="id_app" readonly="true"/> 
	
			<form:label path="nom"><spring:message code="label.nom"/></form:label>
			<form:input value="<%=consultapp.getNom() %>" path="nom" required="required" maxlength="50"/>*
	
			<form:label path="descripcio"><spring:message code="label.descripcio"/></form:label>
			<form:input value="<%=consultapp.getDescripcio() %>" path="descripcio" required="required"  maxlength="50"/>*
			
			<form:label path="url"><spring:message code="label.url"/></form:label>
			<form:input value="<%=consultapp.getUrl() %>" path="url" required="required"  maxlength="50"/>*

		
			
			<form:label path="icon"><spring:message code="label.icon"/></form:label>
			<form:input path="icon" type="file"  />
			
			
		</div>
		<div style="Position:Absolute; left:50%;">
		
		
			<form:label path="usergroupid"><spring:message code="label.usergroupid"/></form:label>
				<form:select path="usergroupid">	
				<form:option value="NONE" label="--- Select ---" />		
				<% 
				List<Group> listgroup = (List<Group>) renderRequest.getAttribute("groups");
				Iterator<Group> it = listgroup.iterator();
				while (it.hasNext()){
					Group g = it.next();
					if (g.getUserGroupId().equals(consultapp.getUsergroupid())){
					%>
						<form:option value="<%=g.getUserGroupId()%>" label="<%=g.getName()%>" selected="selected"/>
					<%}
					else {%>
						<form:option value="<%=g.getUserGroupId()%>" label="<%=g.getName()%>"/>
					<%}
				}%>

			</form:select>
			
			<form:label path="observacions"><spring:message code="label.observacions"/></form:label>
			<form:input value="<%=consultapp.getObservacions() %>" path="observacions" required="required"  maxlength="100"/>
			
					
			<% if(consultapp.isActiu()==true){%>
					<form:label path="actiu"><spring:message code="label.actiu"/></form:label>
					<form:checkbox path="actiu" checked="<%=consultapp.isActiu() %>"/>
			<%}else{ %>
					<form:label path="actiu"><spring:message code="label.actiu"/></form:label>
					<form:checkbox path="actiu"/>
			<%} %>
	
			
		</div>
	<div style="Position:Absolute; left:67%;">
		

			<input type="submit" value="<spring:message code="label.updateapp"/>"/>	
		</div>
	</form:form>
	<!-- carrego la finestra emergent del editar -->
	<script>
		$(function() {
			$( "#edit" ).dialog({
			//resizable: false,
			width:600,
			height:400,
			open: function() {
	            // Al obrir, s'amaga el bot de submit original per poder fer les validacions amb el boto de de la finestra emergent
	            $( this ).find( "[type=submit]" ).hide();
	        },
			autoOpen: true,
			modal: true,
			buttons: [
		              {
		                	text: "Editar",
		                	click: $.noop,//al clicar no va res
		                	type: "submit",
		                	form: "Editarapp" // fem l'asociaci amb el submit del formulari
		            	  },
			              {
			                text: "Tancar",
			                click: function() {
			                      $( this ).dialog( "close" );
			                }
			              }
			          	]
			});
		});
	</script>
	<!--------------------------------------------->
 <%
 
 
 	}
 	
%>
</div>


