package liferay.intranet.dao;


import java.util.List;

import liferay.intranet.domain.App;
import liferay.intranet.domain.Group;


public interface AppDAO {
	
	public void addApp(App app);
	public List<App> listApps();
	public List<Group> listGroups();
	public void removeApp(Integer id_app);
	public App findApp(Integer id_app);
	public void editApp(App consultApp);
	public boolean isAdmin (Integer idUser);
	public List<App> displayApps(Integer idUser);
	
}
