drop user INTRANET cascade; 
drop tablespace INTRANETDAT including contents and datafiles;
drop tablespace INTRANETIDX including contents and datafiles; 


CREATE TABLESPACE "INTRANETDAT" LOGGING
DATAFILE 'C:\oraclexe\oradata\XE\INTRANETdat.dbf' SIZE 1024M
EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

CREATE TABLESPACE "INTRANETIDX" LOGGING
DATAFILE 'C:\oraclexe\oradata\XE\INTRANETidx.dbf' SIZE 512M
EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;
	
CREATE USER "INTRANET" PROFILE "DEFAULT" IDENTIFIED BY "INTRANET"
DEFAULT TABLESPACE "INTRANETDAT" TEMPORARY TABLESPACE "TEMP" ACCOUNT UNLOCK;

GRANT "CONNECT" TO "INTRANET";
GRANT "RESOURCE" TO "INTRANET";

GRANT ALTER ANY INDEX TO "INTRANET";
GRANT ALTER ANY SEQUENCE TO "INTRANET";
GRANT ALTER ANY TABLE TO "INTRANET";
GRANT ALTER ANY TRIGGER TO "INTRANET";
GRANT CREATE ANY INDEX TO "INTRANET";
GRANT CREATE ANY SEQUENCE TO "INTRANET";
GRANT CREATE ANY SYNONYM TO "INTRANET";
GRANT CREATE ANY TABLE TO "INTRANET";
GRANT CREATE ANY TRIGGER TO "INTRANET";
GRANT CREATE ANY VIEW TO "INTRANET";
GRANT CREATE PROCEDURE TO "INTRANET";
GRANT CREATE PUBLIC SYNONYM TO "INTRANET";
GRANT CREATE TRIGGER TO "INTRANET";
GRANT CREATE VIEW TO "INTRANET";
GRANT CREATE DATABASE LINK TO "INTRANET";
GRANT DELETE ANY TABLE TO "INTRANET";
GRANT DROP ANY INDEX TO "INTRANET";
GRANT DROP ANY SEQUENCE TO "INTRANET";
GRANT DROP ANY TABLE TO "INTRANET";
GRANT DROP ANY TRIGGER TO "INTRANET";
GRANT DROP ANY VIEW TO "INTRANET";
GRANT INSERT ANY TABLE TO "INTRANET";
GRANT QUERY REWRITE TO "INTRANET";
GRANT SELECT ANY TABLE TO "INTRANET";
GRANT UNLIMITED TABLESPACE TO "INTRANET";


alter system set processes=300 scope=spfile;

CREATE DATABASE LINK LIFERAY_LINK 
CONNECT TO LIFERAY IDENTIFIED BY liferay;


